<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Adding CSS classes</title>
    <meta name="description" content="Adding classes">
    <meta name="author" content="SitePoint">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.4.3/css/bulma.css">
    <script src="https://unpkg.com/vue"></script>
    <style>
        .message-body {
            -webkit-touch-callout: none; /* iOS Safari */
            -webkit-user-select: none; /* Safari */
            -khtml-user-select: none; /* Konqueror HTML */
            -moz-user-select: none; /* Firefox */
            -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
        }

        .message-body:hover {
            cursor: pointer;
        }
    </style>
</head>
<body>
<div id="app" class="container">
    <div class="columns">
        <div class="column">
            <article class="message" @click="isInfo = !isInfo" :class="{'is-info':isInfo}">
                <div class="message-body">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. <strong>Pellentesque risus mi</strong>, tempus quis placerat ut, porta nec nulla. Vestibulum rhoncus ac ex sit amet fringilla. Nullam gravida purus diam, et dictum <a>felis venenatis</a> efficitur. Aenean ac <em>eleifend lacus</em>, in mollis lectus. Donec sodales
                </div>
            </article>
        </div>
        <div class="column">
            <article class="message" :class="message_type">
                <div class="message-body">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. <strong>Pellentesque risus mi</strong>, tempus quis placerat ut, porta nec nulla. Vestibulum rhoncus ac ex sit amet fringilla. Nullam gravida purus diam, et dictum <a>felis venenatis</a> efficitur. Aenean ac <em>eleifend lacus</em>, in mollis lectus. Donec sodales
                </div>
            </article>
        </div>
        <div class="column">
            <article class="message" :class="{'is-info':isInfo}">
                <div class="message-body">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. <strong>Pellentesque risus mi</strong>, tempus quis placerat ut, porta nec nulla. Vestibulum rhoncus ac ex sit amet fringilla. Nullam gravida purus diam, et dictum <a>felis venenatis</a> efficitur. Aenean ac <em>eleifend lacus</em>, in mollis lectus. Donec sodales
                </div>
            </article>
        </div>
        <div class="column">
            <article class="message" :class="message_type">
                <div class="message-body">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. <strong>Pellentesque risus mi</strong>, tempus quis placerat ut, porta nec nulla. Vestibulum rhoncus ac ex sit amet fringilla. Nullam gravida purus diam, et dictum <a>felis venenatis</a> efficitur. Aenean ac <em>eleifend lacus</em>, in mollis lectus. Donec sodales
                </div>
            </article>
        </div>
        <div class="column">
            <article class="message" :style="lastBoxStyle">
                <div class="message-body">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. <strong>Pellentesque risus mi</strong>, tempus quis placerat ut, porta nec nulla. Vestibulum rhoncus ac ex sit amet fringilla. Nullam gravida purus diam, et dictum <a>felis venenatis</a> efficitur. Aenean ac <em>eleifend lacus</em>, in mollis lectus. Donec sodales
                </div>
            </article>
        </div>
    </div>

    <div class="field">
        <label class="label">Class name</label>
        <div>Values: is-danger, is-warning, is-success, is-info, is-primary</div>
        <p class="control">
            <input v-model="message_type" class="input" type="text" placeholder="Text input">
        </p>
    </div>
    <div class="columns">
        <div class="column">
            <div class="field">
                <label class="label">Last box background-color</label>
                <div>Add inline styling</div>
                <p class="control">
                    <input v-model="color" class="input" type="text" placeholder="Text input">
                </p>
            </div>
        </div>
    </div>
</div>

<script>
    var app = new Vue({
        el: '#app',
        data: {
            isInfo: false,
            message_type: 'is-warning',
            color: '',
            height: 100
        },
        computed: {
            divClasses() {
                return {
                    info: this.isInfo
                };
            },
            lastBoxStyle(){
                return {
                    backgroundColor: this.color
                }
            }
        }
    });
</script>
</body>
</html>